package com.zcloud.primeport.persistence.repository;

import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;
import com.zcloud.primeport.persistence.dataobject.VideoDO;
import java.util.Map;

public interface VideoRepository extends BaseRepository<VideoDO> {
    PageResponse<VideoDO> listPage(Map<String, Object> params);

    PageResponse<VideoDO> listPageWithOnline(Map<String, Object> params);

    Integer countByForeignIdAndDeviceType(Long foreignId, Integer deviceType);

    Integer countByForeignId(Long foreignId);
}

